# Set the minimum required version of CMake
cmake_minimum_required(VERSION 3.11)

# Set the project name and specify the C++ as the project language
project(P3_Binaerbaum)

# Specify the C++ standard
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# Add an executable with the above sources
add_executable(P3_Binaerbaum main.cpp Tree.cpp TreeNode.cpp TreeTest.cpp)
